{% extends "base.html" %}

{% load i18n volunteers_tags seawatch_registration_tags %}

{% block content %}
    <h1>{% trans "Volunteers" %}</h1>
    <div class="missions">
        <h2>{% trans "Missions" %}</h2>
        {% if missions %}
        <ul class="missions-columns">
        {% for mission in missions %}
            <li>
                <p>{{ mission }}</p>
            </li>
        {% endfor %}
        </ul>
        {% else %}
        <p>{% trans "No missions found" %}</p>
        {% endif %}
    </div>

    {% include "partials/search_and_filter.html" %}

    <table class="table">
        <thead>
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Position</th>
                <th scope="col">Certificates</th>
                <th scope="col">Spoken Languages</th>
                <th scope="col">Contact</th>
                <th scope="col"></th>
            </tr>
        </thead>
        {% if object_list %}
            <tbody>
                {% for volunteer in object_list %}
                    <tr>
                        <th>
                            <a href="{% url "volunteer_detail" pk=volunteer.pk %}">
                                {{ volunteer.name }}
                            </a>
                        </th>
                        <td>{{ volunteer.positions.all|mapattr:"name"|join:", " }}</td>
                        <td>{{ volunteer.certificates|join:", " }}</td>
                        <td>{{ volunteer.languages|format_spoken_languages }}</td>
                        <td style="white-space: nowrap;">
                            <div>
                                <i class="fa fa-envelope"></i>
                                    <span style="white-space: normal;">{{ volunteer.email }}</span>
                                </div>
                            <div>
                                <i class="fa fa-phone"></i>
                                <span style="white-space: normal;">{{ volunteer.phone_number }}</span>
                            </div>
                        </td>
                        <td>
                            <a href="{% url "volunteer_request_availabilities" volunteer_id=volunteer.pk %}" class="btn button">Request Availabilities</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
            <tfoot>
                <tr>
                    <th scope="row" colspan="7">Total: {{ object_list|length }} Profiles</th>
                </tr>
            </tfoot>
        {% else %}
            <tbody>
                <tr>
                    <td class="empty-table-message" colspan="7">
                        There is nothing here yet.
                    </td>
                </tr>
            </tbody>
        {% endif %}
    </table>
{% endblock %}
